Summary: Mapping interface between Globus Toolkit and LCAS/LCMAPS
Name: lcas-lcmaps-gt4-interface
Version: 0.3.1
Release: 2%{?dist}
License: ASL 2.0
Group: System Environment/Libraries
URL: http://wiki.nikhef.nl/grid/Site_Access_Control
Source0: https://software.nikhef.nl/security/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: lcas-interface, lcmaps-devel
BuildRequires: openssl-devel
BuildRequires: globus-common-devel
BuildRequires: globus-gridmap-callout-error-devel
BuildRequires: globus-gsi-credential-devel
BuildRequires: globus-gsi-proxy-core-devel
BuildRequires: globus-gssapi-error-devel
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
# explicit requires as these are dlopen'd, note: LCAS is optional
Requires: lcmaps%{?_isa}

# BuildRoot is still required for EPEL5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
This interface extends the basic map-file based mapping capabilities of the
Globus Toolkit to use the full LCAS/LCMAPS pluggable framework, which includes
pool accounts and VOMS attribute based decisions and mappings.

%prep
%setup -q

%build

%configure --disable-static

# The following two lines were suggested by
# https://fedoraproject.org/wiki/Packaging/Guidelines to prevent any
# RPATHs creeping in.
# https://fedoraproject.org/wiki/Common_Rpmlint_issues#unused-direct-shlib-dependency
# to prevent unnecessary linking
%define fixlibtool() sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool\
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool\
sed -i -e 's! -shared ! -Wl,--as-needed\\0!g' libtool

%fixlibtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# clean up installed documentation files
rm -rf ${RPM_BUILD_ROOT}%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS LICENSE NEWS BUGS
%{_libdir}/liblcas_lcmaps_gt4_mapping.so
%{_libdir}/liblcas_lcmaps_gt4_mapping.so.0
%{_libdir}/liblcas_lcmaps_gt4_mapping.so.0.0.0
%{_sbindir}/gt4-interface-install
%{_mandir}/man8/lcas_lcmaps_gt_interface.8*
%{_mandir}/man8/lcas_lcmaps_gt4_interface.8*
%{_mandir}/man8/gt4-interface-install.8*


%changelog
* Wed Aug 23 2023 Mischa Salle <msalle@nikhef.nl> 0.3.1-2
- add BuildRequires on gcc
- use https for source URL

* Wed Feb 11 2015 Mischa Salle <msalle@nikhef.nl> 0.3.1-1
- remove README file which is now a manpage
- rename gt4-interface-install script
- add gt4-interface-install man page
- remove globus-core and globus-gsi-callback-devel build dependencies
- update builddep on lcmaps-devel instead of -interface
- prevent unnecessary linking
- specify BuildRoot (and clean section) for EPEL5
- remove defattr
- cleanup docdir
- adding BUGS and NEWS files
- updated version

* Tue Feb 26 2013 Mischa Salle <msalle@nikhef.nl> 0.3.0-1
- add _isa to requirement
- updated version

* Wed Feb  6 2013 Mischa Salle <msalle@nikhef.nl> 0.2.6-1
- updated version

* Mon Oct 22 2012 Mischa Salle <msalle@nikhef.nl> 0.2.5-1
- removed LCAS runtime dependency
- updated version

* Wed Feb 29 2012 Mischa Salle <msalle@nikhef.nl> 0.2.4-1
- updated version

* Mon Feb 20 2012 Mischa Salle <msalle@nikhef.nl> 0.2.3-1
- updated version

* Fri Dec 16 2011 Mischa Salle <msalle@nikhef.nl> 0.2.1-4
- updated version
- adding manpages

* Wed Aug 17 2011 Mischa Salle <msalle@nikhef.nl> 0.2.0-1
- Build requirements for lcas/lcmaps are only their interfaces
- updated version

* Wed Jul 13 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.1.5-1
- updated version

* Thu Jun 30 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.1.4-1
- Updated to version 0.1.4

* Mon Mar  7 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.1.2-1
- Fixed globus dependencies
- Added openssl dependency

* Fri Mar  4 2011 Dennis van Dok <dennisvd@nikhef.nl> 0.1.1-3
- added ldconfig post(un) script
- disable static libraries

* Fri Feb 25 2011 Dennis van Dok <dennisvd@nikhef.nl> 
- Initial build.


